import 'package:cheminova/utils/common_api_service.dart';
import 'package:cheminova/utils/show_snackbar.dart';

class AuthService {
  Future<Map<String, dynamic>?> login(Map<String, dynamic> data) async {
    try {
      final response = await commonApiService<Map<String, dynamic>>(
        url: '/api/territorymanager/login',
        method: 'POST',
        body: data,
        fromJson: (json) => json,  // Simply return the JSON map as is
      );
      return response;
    } catch (e) {
      showSnackbar(e.toString());
    }
    return null;
  }
}
